commit:     c196aaa232a74ed47154fada2b6e6e2e9a8b4f7b
Author:     Thibaud CANALE <thican <AT> thican <DOT> net>
AuthorDate: Wed Sep  7 22:43:36 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Sep 12 21:13:45 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c196aaa2

app-crypt/certbot-dns-rfc2136: add 1.30.0, add 9999

Signed-off-by: Thibaud CANALE <thican <AT> thican.net>

 app-crypt/certbot-dns-rfc2136/Manifest             |  1 +
 .../certbot-dns-rfc2136-1.30.0.ebuild              | 58 ++++++++++++++++++++++
 .../certbot-dns-rfc2136-9999.ebuild                | 58 ++++++++++++++++++++++
 app-crypt/certbot-dns-rfc2136/metadata.xml         | 12 +++++
 4 files changed, 129 insertions(+)

diff --git a/app-crypt/certbot-dns-rfc2136/Manifest 
b/app-crypt/certbot-dns-rfc2136/Manifest
index 8bbdc6f80..c97176c93 100644
--- a/app-crypt/certbot-dns-rfc2136/Manifest
+++ b/app-crypt/certbot-dns-rfc2136/Manifest
@@ -1,3 +1,4 @@
 DIST certbot-1.27.0.tar.gz 1366469 BLAKE2B 
e9ec47520e027a9d348e861ea7d070eff4857301be0d42be6965e4159d85ef60866aa70de76edd5e68b0d40d9544075aa28e9aa07a8e04dfbf3e1a7dd77fd1de
 SHA512 
5db7836ae2eda27c088476c149e736ce7f41b85d871cf563c69e021dd8af2d64ed85c1482049edf0dffe6fd0c9591d66be3e22fbf617068600e12691c4802e5e
 DIST certbot-1.28.0.tar.gz 1367671 BLAKE2B 
01fda6c068217e32273b2c1ac97faa099f98da687d41796e1c98971ed6779ab4ff78e3309b7a6f82b9b0a891c5f00b5201bb3ce1bc879e5acbab3ccc4988ec31
 SHA512 
888f51dfcf4712b70ce7c99abfc52106384dcba2eef486db8b033bfcca3043bd0beaadce1c1e59f19c3a58b7fe454b2b64774de2e23f5d93579b3e1be1a7c08b
 DIST certbot-1.29.0.tar.gz 1367853 BLAKE2B 
c0d8d2c05a061b2d50564a97bf17ae883bd443321bf99cea13fbae196c7ec876231d803d5389e524997dd8632035d5ad60b1a99b025a22a65d0865d564cfafc5
 SHA512 
755781e12e0e4cdb41aa16d90ab6a334ef41a98630e08127a867c8e8813ee45ebd3f6f54168fe747900f6ab59539e414ffed7891c05746b3a7af2e2a96a8d522
+DIST certbot-1.30.0.tar.gz 1370072 BLAKE2B 
c9286bc6dfee59c5a7b458430b08ee273615b42e40d2355b41c5d58a0b8757d83551e947058660e4abda88d7f11c16184a248c313b4d01e145df0e39b717bf86
 SHA512 
15727a7a38a9cbe4890a347c0cc2a795be19502ece28034400d41cf96a6d4bef197890bd85cd02ecc6a792e3502ae8aa663aad45e980047567f0d3b161cbe3df

diff --git a/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-1.30.0.ebuild 
b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-1.30.0.ebuild
new file mode 100644
index 000000000..425291d67
--- /dev/null
+++ b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-1.30.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+PARENT_PN="${PN%-dns-rfc2136}"
+PARENT_P="${PARENT_PN}-${PV}"
+
+if [[ "${PV}" == *9999 ]]; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       EGIT_SUBMODULES=()
+       EGIT_CHECKOUT_DIR="${WORKDIR}/${PARENT_PN}"
+else
+       SRC_URI="
+               https://github.com/certbot/certbot/archive/v${PV}.tar.gz
+                       -> ${PARENT_P}.tar.gz
+       "
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="RFC 2136 DNS Authenticator plugin for Certbot (Let’s Encrypt 
client)"
+HOMEPAGE="
+       https://letsencrypt.org/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+S="${WORKDIR}/${PARENT_P}/${PN}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       >=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
+       >=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-22.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyparsing-3.0.9[${PYTHON_USEDEP}]
+       >=dev-python/zope-interface-5.4.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+)
+
+python_prepare_all() {
+       pushd "${WORKDIR}/${PARENT_P}" > /dev/null || die
+       default
+       popd > /dev/null || die
+
+       distutils-r1_python_prepare_all
+}

diff --git a/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-9999.ebuild 
b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-9999.ebuild
new file mode 100644
index 000000000..425291d67
--- /dev/null
+++ b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-9999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+PARENT_PN="${PN%-dns-rfc2136}"
+PARENT_P="${PARENT_PN}-${PV}"
+
+if [[ "${PV}" == *9999 ]]; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       EGIT_SUBMODULES=()
+       EGIT_CHECKOUT_DIR="${WORKDIR}/${PARENT_PN}"
+else
+       SRC_URI="
+               https://github.com/certbot/certbot/archive/v${PV}.tar.gz
+                       -> ${PARENT_P}.tar.gz
+       "
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="RFC 2136 DNS Authenticator plugin for Certbot (Let’s Encrypt 
client)"
+HOMEPAGE="
+       https://letsencrypt.org/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+S="${WORKDIR}/${PARENT_P}/${PN}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       >=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
+       >=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-22.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyparsing-3.0.9[${PYTHON_USEDEP}]
+       >=dev-python/zope-interface-5.4.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+)
+
+python_prepare_all() {
+       pushd "${WORKDIR}/${PARENT_P}" > /dev/null || die
+       default
+       popd > /dev/null || die
+
+       distutils-r1_python_prepare_all
+}

diff --git a/app-crypt/certbot-dns-rfc2136/metadata.xml 
b/app-crypt/certbot-dns-rfc2136/metadata.xml
new file mode 100644
index 000000000..636099d63
--- /dev/null
+++ b/app-crypt/certbot-dns-rfc2136/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Thibaud CANALE</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">certbot/certbot</remote-id>
+               <remote-id type="pypi">certbot-dns-rfc2136</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to